﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Reflection;
using System.IO;

namespace Core.Plugin {
    public class AssemblyResourceVirtualFile : System.Web.Hosting.VirtualFile {
        private string path;

        public AssemblyResourceVirtualFile(string virtualPath)
            : base(virtualPath) {
            path = VirtualPathUtility.ToAppRelative(virtualPath);
        }

        public override Stream Open() {
            string[] parts = path.Split('/');
            string assemblyName = parts[2];
            string resourceName = parts[3];
            if (parts.Count() > 4) 
                resourceName += "." + parts[4];

            assemblyName = Path.Combine(HttpRuntime.BinDirectory, assemblyName);
            byte[] assemblyBytes = File.ReadAllBytes(assemblyName);
            Assembly assembly = Assembly.Load(assemblyBytes);

            if (assembly != null)
                return assembly.GetManifestResourceStream(resourceName);

            return null;
        }
    } 
}